Bug 23483 - Mouseproblems....
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-06 07:52 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-06 07:52:36 EST
I can't seem to get normal mouseoperations running under RH 7. I have used 
logitech (3 mouse buttons) and a "normal" compaq mouse. These are ps/2, 
bus mouses (what the hell is the difference?). It  is related to my 
servswitch (a swith to have 1 monitor, mouse and keyboard on 2 computers), 
which gives constant signals to the computer, saying the mouse is there 
(windows likes that behaviour very much). If I connect the mouse directly 
to the pc, the problem doesn't occur. Is there some kind of setting that I 
can change, so it behaves correctly using a switch?
Comment 1 Brent Fox 2002-10-10 14:16:15 EDT
I have just completed a text mode interface for redhat-config-mouse, which means
that mouseconfig will be deprecated in the next release of Red Hat Linux.  

Therefore, I will not be putting any development time towards fixing mouseconfig
bugs, so I'm closing this as 'wontfix'.
Comment 2 Need Real Name 2002-10-11 09:21:06 EDT
I don't see the relationship between the way the mouse driver works and a 
configuration program called mouseconfig.
Comment 3 Brent Fox 2002-10-11 12:15:00 EDT
Sorry, I added the above message to all open mouseconfig bugs.  In any case, the
original problem isn't a mouseconfig problem, it's an issue with the KVM.  

Not all KVM's behave the same, and some KMVs work with Red Hat Linux and some
don't.  Because of this, we do not officially support KVM hardware.  This isn't
to say that the KVM is defective, it's just that apparently the kernel is
expecting the KVM to do something other than what it is doing.  

If you like, you can file a bug against the kernel and see what the kernel team
has to say about it.  My guess is that they will say that there's nothing they
can do if they don't have the hardware specs for the KVM that explains exactly
what signals it is sending to the motherboard.
Comment 4 Need Real Name 2002-10-11 12:20:34 EDT
I moved it to the kernel team. Thanx for the quick reply. Also reopened the 
bug, and changed priortiy ;)
Comment 5 Bugzilla owner 2004-09-30 11:38:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.